function onBegin()
	if not getFlag("ML_collect3_disabled") then
		wait(1.5)
        disableMovement()
        setFlag("NY2024_StarFRC2intro",true)
        say("ChineseNewYear2024_StarSapphireFR01")
        wait(0.5)
        say("ChineseNewYear2024_StarSapphireFR80")
        enableMovement()
    end
end

function onEnd(level,wasSkipped)
	if wasSkipped then
		enableMovement()
	end
end